# 仅用于 最终的 业务服务创建 -- 不针对任何中间件
# 已废弃
version: '3'
services:
  # gateway
  chushang-gateway:
    build:
      context: ./gateway
    restart: always
    ports:
      - 9999:9999
    container_name: chushang-gateway
    hostname: chushang-gateway
    image: chushang-gateway
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/gateway:/chushang-gateway
      - $PWD/gateway/logs:/usr/lib/java/logs
  # fast
  chushang-fast:
    build:
      context: ./fast
    restart: always
    ports:
      - 9090:9090
    container_name: fast-service
    hostname: fast-service
    image: fast-service
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/fast:/fast-service
      - $PWD/fast/logs:/usr/lib/java/logs
  # auth
  chushang-auth:
    build:
      context: ./auth
    restart: always
    ports:
      - 8080:8080
    container_name: chushang-auth
    hostname: auth-device
    image: chushang-auth
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/auth:/auth-service
      - $PWD/auth/logs:/usr/lib/java/logs
  # manager
  chushang-system:
    build:
      context: ./system
    restart: always
    ports:
      - 8085:8085
    container_name: system-service
    hostname: system-service
    image: system-service
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/system:/system-service
      - $PWD/system/logs:/usr/lib/java/logs
  # manager
  chushang-manager:
    build:
      context: ./manager
    restart: always
    ports:
      - 8090:8090
    container_name: manager-service
    hostname: manager-service
    image: manager-service
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/manager:/manager-service
      - $PWD/manager/logs:/usr/lib/java/logs
  # manager
  chushang-website:
    build:
      context: ./website
    restart: always
    ports:
      - 8100:8100
    container_name: website-manager
    hostname: website-manager
    image: website-manager
    volumes:
      - /etc/localtime:/etc/localtime
      - $PWD/website:/system-service
      - $PWD/website/logs:/usr/lib/java/logs
networks:
  default:
    external:
      name: cloud_service